<div class="panel {% if class is not empty %}{{ class|join(' ')|raw }}{% endif %}"
        {% if id is not empty %} id="{{ id }}" {% endif %}
        {{ attr|join(' ')|raw }}
>
    {% if blocks.panel_heading is defined %}
        <div class="panel-heading">{{ blocks.panel_heading.render()|raw }}</div>
    {% endif %}

    {% if blocks.panel_body is defined %}
        <div class="panel-body">{{ blocks.panel_body.render()|raw() }}</div>
    {% else %}
        <div class="panel-body">
            {% for block_name, block in blocks %}
                {% if not block.standalone %}
                    {{ block.render()|raw }}
                {% endif %}
            {% endfor %}
        </div>
    {% endif %}

    {% if blocks.panel_footer is defined %}
        <div class="panel-footer">{{ blocks.panel_footer.render()|raw() }}</div>
    {% endif %}
</div>